| NUC472_NUC442_BSP V3.04.000 The Board Support Package for NUC472/NUC442

Macros | Functions | Variables
system_NUC472_442.h File Reference

NUC472/NUC442 system clock definition file. More...

`#include <stdint.h>`
Include dependency graph for system_NUC472_442.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | __HXT (12000000UL)
#define | __LXT (32768UL)
#define | __HIRC (22118400UL)
#define | __LIRC (10000UL)
#define | __HSI (__HIRC) /* Factory Default is internal 12MHz */

## Functions
void | SystemInit (void)
| Setup the microcontroller system. More...
void | SystemCoreClockUpdate (void)
| Updates the SystemCoreClock with current core Clock retrieved from CPU registers. More...

## Variables
uint32_t | SystemCoreClock
uint32_t | CyclesPerUs
uint32_t | PllClock

## Detailed Description

NUC472/NUC442 system clock definition file.

Version
  V1.00

Revision
  5

Date
  14/05/29 1:13p

Note
  SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved.

Definition in file system_NUC472_442.h.

## Macro Definition Documentation

## ◆ __HIRC

#define __HIRC (22118400UL)

High Speed Internal 22MHz RC Oscillator Frequency

Definition at line 27 of file system_NUC472_442.h.

## ◆ __HSI

#define __HSI (__HIRC) /* Factory Default is internal 12MHz */

Definition at line 29 of file system_NUC472_442.h.

## ◆ __HXT

#define __HXT (12000000UL)

High Speed External Crystal Clock Frequency 12MHz

Definition at line 25 of file system_NUC472_442.h.

## ◆ __LIRC

#define __LIRC (10000UL)

Low Speed Internal 10kHz RC Oscillator Frequency

Definition at line 28 of file system_NUC472_442.h.

## ◆ __LXT

#define __LXT (32768UL)

Low Speed External Crystal Clock Frequency 32.768kHz

Definition at line 26 of file system_NUC472_442.h.

## Function Documentation

## ◆ SystemCoreClockUpdate()

void SystemCoreClockUpdate | ( | void |  | ) |

Updates the SystemCoreClock with current core Clock retrieved from CPU registers.

Update SystemCoreClock variable

Returns
  none

Definition at line 26 of file system_NUC472_442.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ SystemInit()

void SystemInit | ( | void |  | ) |

Setup the microcontroller system.

Initialize the system

Returns
  none

Setup the microcontroller system.

Initialize the system

Returns
  none

Definition at line 56 of file system_NUC472_442.c.

## Variable Documentation

## ◆ CyclesPerUs

uint32_t CyclesPerUs
| extern

Cycles per micro second

Definition at line 18 of file system_NUC472_442.c.

## ◆ PllClock

uint32_t PllClock
| extern

PLL Output Clock Frequency

## ◆ SystemCoreClock

uint32_t SystemCoreClock
| extern

System Clock Frequency (Core Clock)

System Clock Frequency (Core Clock)

Definition at line 17 of file system_NUC472_442.c.